Skip to main content
POST
/
reports
/
pivoted-content-assignments
/
{from}
/
{until}
Assignments pivoted by content
curl --request POST \
  --url https://reports-latest.continu.co/api/v1/reports/pivoted-content-assignments/{from}/{until} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assignee": true,
  "assigner": true,
  "manual_completed_by": true,
  "content_filter": {
    "archived": "false",
    "categories": "5f8a1c2d4e6b7a9c0d1e2f91",
    "collaborators": "5f8a1c2d4e6b7a9c0d1e2fa2",
    "content_id": "5f8a1c2d4e6b7a9c0d1e2fb3",
    "created_by": "5f8a1c2d4e6b7a9c0d1e2fc4",
    "departments": "5f8a1c2d4e6b7a9c0d1e2f3a",
    "grades": "5f8a1c2d4e6b7a9c0d1e2f7f",
    "locations": "5f8a1c2d4e6b7a9c0d1e2f4c",
    "org_levels": "5f8a1c2d4e6b7a9c0d1e2f80",
    "teams": "5f8a1c2d4e6b7a9c0d1e2f5d"
  },
  "range_target": "completed_date",
  "user_filter": {
    "buddy_email": "buddy@example.com",
    "departments": "5f8a1c2d4e6b7a9c0d1e2f3a",
    "email": "user@example.com",
    "first_name": "Alex",
    "grades": "5f8a1c2d4e6b7a9c0d1e2f7f",
    "groups": "5f8a1c2d4e6b7a9c0d1e2f6e",
    "id": "5f8a1c2d4e6b7a9c0d1e2ff7",
    "is_author": "false",
    "is_collaborator": "false",
    "is_manager": "true",
    "is_purchaser": "false",
    "last_name": "Rivera",
    "locations": "5f8a1c2d4e6b7a9c0d1e2f4c",
    "manager_email": "manager@example.com",
    "org_levels": "5f8a1c2d4e6b7a9c0d1e2f80",
    "partner": "5f8a1c2d4e6b7a9c0d1e3008",
    "role": "learner",
    "suspended": "false",
    "teams": "5f8a1c2d4e6b7a9c0d1e2f5d",
    "userid": "alex.rivera"
  }
}
'
[
  {}
]

Documentation Index

Fetch the complete documentation index at: https://reporting.continu.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API token issued by Continu.

Headers

Authorization
string
required

API token issued by Continu. Send the raw token value (confirm with your Continu contact whether your deployment expects 'Bearer ' or the raw token).

Path Parameters

from
string
required

Start of date range, inclusive. Unix epoch seconds in UTC.

until
string
required

End of date range, exclusive. Unix epoch seconds in UTC.

Body

application/json

Field-selection and filter document.

Request body for the PivotedContentAssignment endpoint. Set field flags to true to include them in the response; provide filter objects to narrow results.

assignee
boolean

Set to true to include assignee in the response.

Example:

true

assigner
boolean

Set to true to include assigner in the response.

Example:

true

manual_completed_by
boolean

Set to true to include manual_completed_by in the response.

Example:

true

content_filter
object

Filter object. All fields optional; values are comma-separated strings.

range_target
string

Which date field the {from}/{until} path range applies to (e.g., assigned_date, completed_date, created_at).

Example:

"completed_date"

user_filter
object

Filter object. All fields optional; values are comma-separated strings.

Response

Success. Returns an array of records.